﻿@model ViewOrdersDTO
@{
    ViewData["Title"] = "Home Page";
    Layout = "_Layout";
}

<div class="text-center">
    <h1 class="display-4">Поиск</h1>
</div>
<form method="get">

    <div class="form-row">
        <div class="col-3">
            <label for="DateAfter" class="control-label">от</label>
            <input id="DateAfter" type="date" class="form-control" asp-for="@Model.SearchDTO.AfterDate" />
        </div>

        <div class="col-3">
            <label for="DateBefore" class="control-label">до</label>
            <input id="DateBefore" type="date" class="form-control" asp-for="@Model.SearchDTO.BeforeDate" />
        </div>

        <div class="col-3">
            <label for="OrderNumber" class="control-label">Номер заказа(поиск по маске)</label>
            <input id="OrderNumber" type="text" class="form-control" asp-for="@Model.SearchDTO.Number" />
        </div>

        <div class="col-3">
            <label for="Providers" class="control-label">Поставщики</label>
            <select multiple class="form-control"
                    
                    asp-for="@Model.SearchDTO.Providers">

                @for (int i = 0; i < Model.ProvidersDTO.Count(); i++)
                {
                    <option value="@Model.ProvidersDTO[i].Id">
                        @Model.ProvidersDTO[i].Name
                    </option>
                }
            </select>
            <div class="mt-3" >
                <button type="button" id="foo" class="btn btn-primary">
                    снять выделение
                </button>
            </div>
        </div>

       

        <div class="text-center">
            <div class="col">
                <button id="Search" type="submit" class="btn btn-primary" asp-controller="Orders" asp-action="SerachOrders">
                    Поиск
                </button>
            </div>

        </div>
    </div>
</form>

<div class="text-center">
    <h1 class="display-4">Главная страница заказов</h1>
</div>



<div class="form-row">
    <table class="table table-sm table-hover table-bordered">
        <caption> Заказы </caption>
        <thead>
            <tr class="d-flex">
                <th class="text-center col-3" scope="col">ID Заказа</th>
                <th class="text-center col-3" scope="col">Дата</th>
                <th class="text-center col-3" scope="col">Номер</th>
                <th class="text-center col-3" scope="col">Поставщик</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var order in Model.Orders)
            {

                <tr class="d-flex" onclick="location.href='@Url.Action("ShowOrderInfo", "Orders", new { orderId=order.Id })'">
                    <td class="text-center col-3">
                        <input type="text" class="form-control" asp-for="@order.Id" disabled />
                    </td>

                    <td class="text-center col-3">
                        <input type="date" class="form-control" asp-for="@order.Date" disabled />
                    </td>

                    <td class="text-center col-3">
                        <input type="text" class="form-control" asp-for="@order.Number" disabled />
                    </td>

                    <td class="text-center col-3">
                        <input type="text" asp-for="@order.ProviderIdNav.Name" class="form-control" disabled />

                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
<form method="get">
    <div class="form-row">
        <div class=" text-center">
            <button  type="submit" class="btn btn-primary" asp-controller="Orders" asp-action="InputNewOrder">
                Добавить новый заказ
            </button>

        </div>
    </div>

</form>

